Compare commits

..

193 commits

Author SHA1 Message Date
Led Mitz
b3b082bfe1 Removed evade in desc. Only has bonus agi.
Corrected description.

Approved-by: Hello TMW <hello@themanaworld.org>
2026-04-18 16:29:24 +00:00
Hello TMW
e03aca8232 This brings client data part of Lightning Ball orb.
This orb allows its users to throw lightninb balls just like real Reapers do

Balls would act as intelligent time-delayed grenades, on both players (in pvp)
and in PvE vs mobs. Their amount depends on M.Atk but item usable even by
entirely nonmagic entities at somewhat reduced efficiency (less lightning balls).
2026-04-18 16:09:09 +00:00
Hello=)
13563a7469 Moved NPC ID from 442 to 448 to avoid conflict with some unreleased HoraK NPCs 2026-03-27 21:57:24 +03:00
Hello=)
176719498e 418 I'm teapot! (sorry can't resist this)
This lands luxury teapot (NPC). It is part of lore for CRC 2026 event.

Lore wise, bad guy would steal this precious masterpiece and this sets
players for pursuit - so they try to track down bad guy and once they
find him in hideout, and defeat him, teapot would be returned to
Celestia - and in fact placed on display on her table.

Idea is that in MMORPG you can not just tell story but also SHOW it.

So fabled teapot stolen by bad guy would be shown. Could be also turned
into item as well if needed - form factor is good for items as well.

Special kudos:
* Reid for pixeling luxury teapot image.
* Rill for overall coodrination around this.
2026-03-27 21:51:20 +03:00
Fedja Beader
79682ae9cb Merge branch 'port_manaverse_CI_from_ML' into 'master'
Port ManaVerse CI job updates from ML clientdata

See merge request tmw/clientdata!687
2026-03-27 16:42:46 +00:00
Fedja Beader
fb3a59b022 mods/ is a submodule
This wasn't required before... maybe GitLab changed the default?
2026-03-27 16:41:57 +00:00
Fedja Beader
d739703070 Only create the client-data symlink if it is missing (docker caching..)
* Fix symlink when the repository is not named 'clientdata'
2026-03-27 16:41:57 +00:00
Fedja Beader
bf85fde840 Fix download of old manaplus CI artifact
There's no easy way to download the artifact of the last successful
*job* when there has been a more recent successful pipeline with the job
in question skipped (as it is manual). Thus:

1) limit the job to the master4old branch
2) modify CI config to keep the branches identical

**** ml/clientdata!211
2026-03-27 16:41:57 +00:00
Fedja Beader
cb9cdcb53f Update distro for manaverse&manaplus CI due to builder's distro update
* Force noninteractive frontend, too

* Tell apt to assume yes to all questions - otherwise it will wait
indefinetely.

**** ml/clientdata!210
2026-03-27 16:41:57 +00:00
Fedja Beader
f1a723782c deprecation of SPM allows to deprecate "download library"
Naturally. I remembered to do this 3 seconds after hitting merge

**** ml/clientdata!209
2026-03-27 16:41:57 +00:00
Fedja Beader
de9c93ece4 Switch to AppImage builder's debian job's artifact instead of SPM
SPM = Simple Package Manager, 4144's NIH

It's broken and fixing it isn't worth the effort https://git.themanaworld.org/mana/spm/-/jobs/196781

* Apparently unzip -u still prompts

* Hating Docker caching didn't get me anywhere, so I'll try loving it

* Bandage docker caching

* Switch older manaplus to deb pkgs, too

* wget --retry-on-host-error is an unknown option? Probably too old wget

* Instead of updating the deb builder at the same time, just use its
distro

**** ml/clientdata!208
Approved-by: Jesusalva Jesusalva <jesusalva@tmw2.org>
2026-03-27 16:41:57 +00:00
Fedja Beader
72f771a8b1 Name ManaVerse CI test job with proper name 2026-03-27 16:41:57 +00:00
Fedja Beader
71eb3663ef Fix Debian Buster EOL (up image to bullseye)
**** ml/clientdata!199
2026-03-27 16:41:57 +00:00
Fedja Beader
c4e25dedb5 Introduce ancient manaplus CI job
...corresponding to oldest supported packet version (24).

* There's no need to have two script files, really (for now).

* Apply new updates from "Complain if client log is not found"

* Deduplicate further + touch up the script a tad

* Okay, manaplus needs updating for changes to "libdownload"

* Oops, forgot to revert the actual manaplus job

This reverts commit 25fbf2d068737d8e2970a89794e0bfb961ffae82.

* Split the job out

* Un-hardcode

* Print version, too

* Hardcode for testing purposes %%R

* Update job name - this will probably break because branch is different,
probably in downloadlib, but let's see

* Update (downdate?) log file names

* Match builder OS

Squash this job, too

**** ml/clientdata!185
2026-03-27 16:41:57 +00:00
Fedja Beader
c1c7e59140 CI: Complain if client log file is not found
**** ml/clientdata!187
2026-03-27 16:41:57 +00:00
Fedja Beader
d31341c8a4 Remove all that is cached (in libdownload)
TODO: figure out what's caching things, it's not deps or cache setting in job def.

**** ml/clientdata!186
2026-03-27 16:41:57 +00:00
Fedja Beader
2bdaa1cb66 Compact manaplus/verse download log, from 1149 lines (42% total log) to 18 lines (1.1%).
* Compact manaplus/verse download log, from 1149 lines (42% total log) to we'll see how much.

**** ml/clientdata!184
2026-03-27 16:41:57 +00:00
Fedja Beader
73072ae5f9 Change required due to manaverse log file rename
This should fail until SPM pipeline makes a new build.

* Modernise file existance check along the way, too

**** ml/clientdata!181
2026-03-27 16:41:57 +00:00
Hello TMW
0e55ed9f66 Merge branch 'goldplate_desc' into 'master'
Added crit def to descriptions

See merge request tmw/clientdata!716
2026-03-27 16:38:47 +00:00
Led Mitz
84420fb657 Added crit def to descriptions
Golden Warlord = 10%
Golden Plate = 5%

These are available from Chronos, but no one would have known why to even bother with them before other than style.

Approved-by: Hello TMW <hello@themanaworld.org>
Reviewed-by: Hello TMW <hello@themanaworld.org>
2026-03-27 16:38:46 +00:00
Led Mitz
8557b863e4 Fallen wear gloves
Fallen have long dropped leather gloves. I just made them wear them since they do.

Approved-by: Hello TMW <hello@themanaworld.org>
2026-03-27 16:21:35 +00:00
HoraK-FDF
26c4e38cb9 Celestia castle ring teleporter
client-data changes for https://git.themanaworld.org/tmw/serverdata/-/merge_requests/938
2026-03-25 09:10:34 +00:00
HoraK-FDF
6d03173c4b mapfixes for 016-1, 030-1 and 081-1
- on 016-1 the entire mountain from ground2 layer had a copy in fringe layer i erased it from fringe layer, it became visible with the help of a tortuga
- 030-1 used an tile set that was modified to work on an other map and so a map bug occurred so i restored the old tiles and moved the new tiles to an other place on the tileset and applied tileset changes to 081-1

Approved-by: Hello TMW <hello@themanaworld.org>
2026-03-23 19:17:29 +00:00
Hello=)
38f705ec4c Mods pointer update 2026-02-12 15:01:15 +03:00
Kayne Ruse
58c8773749 Migrated Mad Katze to the quest log, formerly "Cat Ears"
Client component of https://git.themanaworld.org/tmw/serverdata/-/merge_requests/918

Approved-by: Thorbjørn Lindeijer <bjorn@lindeijer.nl>
2026-02-12 07:48:21 +00:00
Kayne Ruse
64bd9305e3 Robberies In Hurnscald Migration
Client component of https://git.themanaworld.org/tmw/serverdata/-/merge_requests/920

Approved-by: Thorbjørn Lindeijer <bjorn@lindeijer.nl>
2026-02-10 12:36:28 +01:00
HoraK-FDF
3baa0dc4da mobs and drops 20260109
clientdata changes for https://git.themanaworld.org/tmw/serverdata/-/merge_requests/925
2026-02-09 16:54:07 +00:00
HoraK-FDF
f3c79f36bc rainshroom png fix
I don't know at what step the previous pictures turned into indexed last time, I repeated it now the same way and it became RGBA like it should, size went up though but pngcheck does not complain anymore. I think I don't looked into the pipeline that time since it was always failing at that time.

Approved-by: Thorbjørn Lindeijer <bjorn@lindeijer.nl>
2026-01-08 14:32:24 +00:00
HoraK-FDF
972974da49 Mapfixes 20250925
- changed all of poppys maps to use external tilesets
- 081-1 fixed a patch of snow in the wrong layer bug and added tiles in ground layer so if other map views are used backdrop does not shine through ground anymore
- created some tilesets in the process which are not used atm
2026-01-08 09:38:28 +00:00
Fedja Beader
05c222398c Fix Tomato weight
Approved-by: Hello TMW <hello@themanaworld.org>
2026-01-08 09:24:02 +01:00
HoraK-FDF
3c5b25e11b mushroom hats no particle mods
clientdata changes for https://git.themanaworld.org/tmw/mods/-/merge_requests/7

Approved-by: Hello TMW <hello@themanaworld.org>
Reviewed-by: Hello TMW <hello@themanaworld.org>
2025-12-15 08:13:40 +00:00
Thorbjørn Lindeijer
2a8f966295 Unduplicated bandit_bounty.xml include
Also sorted the includes to make potential duplicates more obvious.
2025-11-09 10:35:52 +01:00
Kayne Ruse
69e815f1b0 Migrated Hinnak to the quest log
server component is https://git.themanaworld.org/tmw/serverdata/-/merge_requests/911

Approved-by: Hello TMW <hello@themanaworld.org>
Reviewed-by: Hello TMW <hello@themanaworld.org>
2025-11-09 09:01:33 +00:00
Kayne Ruse
6dc30024b8 Migrated Forest Bow (Alan) and Wooden Shield (Jack) to the quest log
Serverdata component is https://git.themanaworld.org/tmw/serverdata/-/merge_requests/912

Reviewed-by: Thorbjørn Lindeijer <bjorn@lindeijer.nl>
2025-11-08 19:31:29 +01:00
Kayne Ruse
551065c1e2 Migrating Silk Pants (Hetchel, Crastur the Ugly) to the quest log
Counterpart of https://git.themanaworld.org/tmw/serverdata/-/merge_requests/909
2025-11-08 19:29:36 +01:00
Hello TMW
3541dd46c5 This is client data part of Arrows Bundle item/technology.
It been talked many times on IRC, forums and so on as idea but haven't gone far due to
lack of item graphics and lack of my skills around items. However, yesterday Wellvin
authored arrows bundle graphics that is enough for me - and I did the rest.

This is also dubs as preparatory step to make swamp more appealing for archers.
(Enchanters are meant to drop this item, its subject for other MRs)

How this works:
* There's now item called "Arrows Bundle" that meant to be dropped some mobs.
* Upon use it "unbundled", bundle item removed and random # of random arrows type given.
  (so its a bit of gambling what particular bundle will be)

NB:
* Also see serverdata!907 to actually make it in effect.
* I tested whole thing on local and it works as expected.
* At some point later item should be added as drop to at least Enchanters.

Co-authored-by: Wellvin
Tested-by: Hello=)

Approved-by: Thorbjørn Lindeijer <bjorn@lindeijer.nl>
2025-11-08 07:27:54 +00:00
Kayne Ruse
d1157a265e Migrated Morgan to the quest log
This was already in quest-log.txt, but the xml file was MIA.
2025-10-26 10:41:47 +01:00
Hello TMW
9cc726cd01 Fix typo in Thorn Arrow weight: its 1g, not 12
There's typo in Thorn arrows description. Its weight 1g, not 12 (I rechecked vs server's db).

This issue reported by players: Dryt complained they're allegedly-heavy, ginosuper got idea its typo.

Reported-by: ginosuper, Dryt

Approved-by: Thorbjørn Lindeijer <bjorn@lindeijer.nl>
2025-10-25 15:13:43 +00:00
Fedja Beader
511bdc959d Deduplicate remaining duplicate spawners I could find
Utilities:
cat npc/*/_mobs.txt | grep monster | sort | uniq -c  | grep -v ' 1 '

cat maps/031-3.tmx | grep 'object id=' | cut -d' ' -f 5- | sort | uniq
-c | grep -v ' 1'

NB: 016-1 has another overlapping MauvePlant spawner that has
unconfigured delay (thus is not a direct duplicate). As changing it
would change game mechanis, it is out of scope for this commit.

NB: One of the 031-1 Bat dupe was probably added in ff1acc14.
I could not extract a reason, and did not look into who/what/why
added the other duplicates.
2025-10-23 19:20:03 +00:00
Kayne Ruse
cd2aaffc30 Removed stale CONTRIBUTING.md 2025-10-23 11:32:27 +11:00
Kayne Ruse
2a64457afc Fixed extra sprite in "Blue Slime"
Closes #343

Approved-by: Hello TMW <hello@themanaworld.org>
Approved-by: Thorbjørn Lindeijer <bjorn@lindeijer.nl>
Reviewed-by: Hello TMW <hello@themanaworld.org>
2025-10-20 20:42:56 +00:00
Kayne Ruse
c45bb37ec3 Migrating "Bandit Bounty" to the quest log 2025-10-12 12:12:17 +11:00
Kayne Ruse
eaab34dc41 Implement Furquest in the quest log
This adds the "furquest" to the quest log, as three distinct quests given by Agostine, and connected to Lora Tay.

The server side of this is https://git.themanaworld.org/tmw/serverdata/-/merge_requests/887
2025-10-07 14:54:18 +02:00
Fedja Beader
a3d155ec35 Dragon shield has been obtainable at chronos for a while now
Approved-by: Hello TMW <hello@themanaworld.org>

**** tmw/clientdata!685
2025-09-13 13:57:02 +00:00
Fedja Beader
1ae1dad958 Fix pngcheck/newlines CI failues due to debian buster repos being moved to archive servers.
**** tmw/clientdata!693
2025-09-13 13:19:21 +00:00
HoraK-FDF
aac749eae7 mobs_and_drops_20250728
clientdata changes to https://git.themanaworld.org/tmw/serverdata/-/merge_requests/881

Approved-by: Hello TMW <hello@themanaworld.org>
Reviewed-by: Hello TMW <hello@themanaworld.org>
2025-09-13 12:47:46 +00:00
Fedja Beader
e1836c5938 Un-sale-protect ranger hat - it's a 4% drop and not a rare.
... on jack-o, but still.

Approved-by: Hello TMW <hello@themanaworld.org>
2025-09-13 08:08:36 +00:00
HoraK-FDF
4defb83586 digging holes
Digging holes for treasure hunt/gardening, I started with a high npc number to have enough space for normal npcs in front and enough space for more digging hole ground types after (dug out ground, hole, glow and flow are all dyable). The current set contains hole types for sand (desert/beach) and brown ground (woodland/grassland/fields). All pngs are optimized.

Approved-by: Hello TMW <hello@themanaworld.org>
Reviewed-by: Hello TMW <hello@themanaworld.org>
2025-07-13 12:39:21 +00:00
Hello TMW
e341f84118 Change URL of submodules to correct ones
Clientdata submodules URL change to point to proper URLs.

Approved-by: Thorbjørn Lindeijer <bjorn@lindeijer.nl>
2025-07-09 06:05:16 +00:00
Thorbjørn Lindeijer
92b617ec0c Add quest start and continue status effects
So far the effects referenced by quest XML have been regular effects,
but due to their persistence and on/off nature, using status effects
seems more fitting. Hence, the Mana client will interpret the "effect"
attribute of the "var/effect" elements as a status effect ID instead.
Fortunately the IDs used (45 and 46) were also still available as status
effect IDs.

Also, the quest indicators were implemented using sprites, but the Mana
client does not currently support adding sprites as a result of an
effect. Since this feature appears to be only used for the quest
markers, they have been implemented using a particle effect instead.

Part of mana/mana#62
2025-06-23 15:43:07 +02:00
Hello TMW
ebd88b92cf This adds outline around Coal Golem status icon.
Rationale: coal golem icon as it is doesn't displays nicely in dark places.
As concrete example, it looks awkward if e.g. there's black map border displayed.

This commit adds outline around coal golem icon so shape can be recognized even
in these circumstances.
![colgolis](/uploads/38137ebc9e40dd767821d589e8436e31/colgolis.png)
2025-06-07 17:45:11 +00:00
HoraK-FDF
fdb20c4d6a Poppys maps and some others
includes maps poppy made for some xmas event and some dev meeting place, a jail and a map for the guildbot, not clue yet where the prison can be entered and if event maps should get their backdrop removed and filled with normal tiles but at least everything should be accessible atm so devs/gms can take a stroll. @Ledmitz dont looked if the music those maps are using is included or if it fits.
<br>
<br>
recompressed all pictures to lower size
2025-06-04 21:14:01 +00:00
Hello TMW
96e63a9ffd Legendary Shovel & map bugfix
Small change - bug fix. Move PNGs to proper path so client can actually load them.
2025-04-11 02:34:30 +00:00
HoraK-FDF
02f6485645 Legendary Shovel and Legendary Treasure Map
- clientdata changes for https://git.themanaworld.org/legacy/serverdata/-/merge_requests/862 pngs run through optipng -o7
- renamed legendary-carrot.png to carrot-legendary.png and optimized it with optipng and added partial license since i dont know author that added stars atm and since i copied those stars to the other legendary items i put a ? there as well for now

Approved-by: Hello TMW <hello@themanaworld.org>
2025-04-09 22:48:30 +00:00
Fedja Beader
fb5bf4a998 re-tag job(s) according to mana/appimg-builder!6
Approved-by: Hello TMW <hello@themanaworld.org>
2025-04-09 22:19:44 +00:00
Hello TMW
a450a8401c This fixes witch doctor mask appearance in items dialog and hover popup.
For some unknown reasons witch doctor mask looked ugly and distorted
in items window (F4 on self or show items on others) and in client hover
popup showing item data.

I've used item sprite itself to make it looking much better.

Technically I moved some part of pixels from item sprite used to display
player in game world to item image used in dialogs, both images are by
same author, and same license.

As extra perk I've optimized PNG packing and halved its size vs original.

Reported-By: Rill

Approved-by: Thorbjørn Lindeijer <bjorn@lindeijer.nl>
2025-04-05 11:41:49 +00:00
HoraK-FDF
cba4348760 SC_COOLDOWN_CG
clientdata changes for https://git.themanaworld.org/legacy/tmwa/-/merge_requests/298 and https://git.themanaworld.org/legacy/serverdata/-/merge_requests/848

Approved-by: Thorbjørn Lindeijer <bjorn@lindeijer.nl>
Approved-by: Hello TMW <hello@themanaworld.org>
2025-04-02 14:21:29 +00:00
Bjørn Lindeijer
84c51ec82b Add back settings.xml, used by Mana client
I meant to add this back in c075b31405,
but apparently forgot.
2025-02-26 10:19:00 +00:00
Hello TMW
3e8f187b85 Follow up to MR 676 - fix Birb walk anim as well
I did extra pass on XMLs checking mob walk animations VS unexpected `<end />` as outlined in https://git.themanaworld.org/legacy/clientdata/-/merge_requests/676 to be sure all mobs fixed and detected I missed 1 mob: Birb ("Piou King").

This mob also coming from another server - and features bugged `<end />` tag in "walk" animation, terminating animation prematurely.

Related to: 
* https://git.themanaworld.org/mana/mana/-/issues/96
* https://git.themanaworld.org/legacy/clientdata/-/merge_requests/676
2025-02-26 10:17:52 +00:00
Thorbjørn Lindeijer
7ec988a4b9 Removed misplaced <end/> tags in walk anims
This change removes the `<end/>` tags in the walk anims of the following
monsters:

* Moubootaur
* Ratto
* Tengu

In Mana client, these make the walk animation stop prematurely, after
which the monsters just slide over the floor.

Closes https://git.themanaworld.org/mana/mana/-/issues/96
2025-02-24 10:44:12 +01:00
Led Mitz
aeaf939fd7 Created Pirate Bandana
- Colors match Swashbuckler's.
- Added more hair replacement lines to both Bandanas.
2025-02-22 01:33:38 +00:00
Thorbjørn Lindeijer
57732dfd68 Converted remaining rules (desert, firstrule, thermin_cave)
There is no example for the thermin cave and the related tileset has
been deleted. It probably was never used, but could be restored when
there is still interest in adding a new kind of cave to TMW.

There's also no example for the desert rules unfortunately.
2025-02-03 16:33:13 +01:00
Thorbjørn Lindeijer
14c5980f58 Moved the Tiled project to top level 2025-02-03 15:39:46 +01:00
Thorbjørn Lindeijer
ba998e5fb4 Updated the icemountain rules
The example_mountain.tmx now works again.
2025-02-03 15:39:46 +01:00
Thorbjørn Lindeijer
0ee67b1686 Updated the icecave rules
The example_icecave.tmx now works again.
2025-02-03 15:39:46 +01:00
Thorbjørn Lindeijer
cf9e492060 Restored set_{desert,icecave,icemountain,thermin_cave} tilesets
And changed all references to these tilesets to be external.

Also changed some references to the collision tileset to refer to the
external tileset.

Also corrected the parameters on the set_cave.tsx tileset.
2025-02-03 15:39:46 +01:00
Thorbjørn Lindeijer
5c84f0cc83 Moved the "set_" tilesets among the other tilesets
No real reason to separate them to their own folder.
2025-02-03 15:39:46 +01:00
Thorbjørn Lindeijer
c5f0fb7ac5 Used automappingconverter to rename woodland rule layers
Now rules/woodland_example.tmx works again.

Care needs to be taken to only use the automappingconverter after fixing
the tileset references, otherwise it destroys tile layer data.
2025-02-03 15:39:46 +01:00
Thorbjørn Lindeijer
74624ca46e Replaced many internal tilesets with external tilesets
Only exhaustive for woodland rules for now.

Restored graphics/tiles/set_woodland.png from git history.
2025-02-03 15:39:46 +01:00
AJ Keresztes
ed8f0bf2ad ignore tiled-session files 2025-02-03 15:39:46 +01:00
AJ Keresztes
751ba003e0 Updated cave rules to work with latest Tiled 2025-02-03 15:39:46 +01:00
AJ Keresztes
caa0abb8db added tilesets for autogenerated maps 2025-02-03 15:39:40 +01:00
Fedja Beader
5b4960fa42 Shift dev lounge warps a little: hurnscald one dropped you off 2 tiles away from exit, tulim one ON the warp to dev lounge. 2025-01-20 22:42:14 +00:00
Fedja Beader
c425b1e915 Add Beheader quest to quest log
Basically a copy of Celestia's Yeti hunt. The bar could be made longer (but this might be annoying on phone screens).
2025-01-08 18:11:41 +00:00
Fedja Beader
8a9e2fba3c Deduplicate two overlapped 2*Yeti spawners into one 4*Yeti one.
grep for 209,199 in _mobs.txt
+ move them so that this chamber is grouped together in the object list
2025-01-08 16:28:46 +00:00
Led Mitz
5ee19d67e7 Changed pinkie to bluepar and bat to moggun and added white slime
Pinkies never seemed to belong in ice caves and since bluepar do, I switched them. Now there's an alternative diamond grinding area to a map that had no use and a few bluepar dropping potions shouldn't be an issue now that they are easier to just buy/craft than ever.
2025-01-08 15:11:31 +00:00
Fedja Beader
4d5a4c32c0 These items all have +bHit (rather than +bHitRate) in serverdata 2024-12-29 21:33:35 +01:00
Ledmitz
d23f1a66e3 Added SFX for super and mother slimes. Manually copied mods.xml to root from /mods 2024-12-17 17:07:38 -04:00
HoraK-FDF
15e3d5fe25 mobs and drops 20241216
gfx to https://git.themanaworld.org/legacy/serverdata/-/merge_requests/835<br>
headslime is a non animated version for now the animated comes later.
2024-12-17 04:44:36 +00:00
HoraK-FDF
7b66018be5 mobs2maps 20241213
- added 3 yellow super slime spots to 018-3 (1x2 slimes, 2x 1 slime)
- removed rattos from 029-2
- moved respawn points of mogguns and bats on 019-3 to 0,0 now they appear on map (just saw this when looking for slime spots idk if it was moved to prevent mobs from spawning but then again removing them completely would have been better but since this cave always looked so strangely empty i think its good to reactivate them)
- added 7 yellow super slime spots to 012-4 (7x2 slimes)
- added 1 yellow super slime spot to 032-3 (1x2 slimes)
- added 4 blue super slime spots to 031-3 (2x1 slime)
- added 1 blue super slime to whole 019-4
- added 1 blue super slime spot spanning all blue slime spots to 046-3 (1x2 slimes)
- added 1 blue super slime spot spanning all blue slime spots of the bottom left cave to 047-3 (1x2 slimes)
- added 1 yellow super slime spot to 055-3 (1x2 slimes)
- added 2 yellow super slime spot spanning each across all yellow slime spots of their cave part to 011-6 (1x2 slimes, 1x5 slimes)
- added 4 yellow super slime to whole 009-3
- added 1 yellow super slime spot to 006-3 (1x1 slime)
- added 2 green super slime spots to 001-1 (2x2 slimes)
- added 1 green super slime spot to 003-4 (1x7 slimes)
- added 4 green super slime to whole 043-1
- added 1 red super slime spot to 009-3 (1x7 slimes)
- added 1 green super slime spot to 006-1 (1x2 slimes)
- added 1 green super slime spot to 021-3 (1x1 slime)
- added 1 red super slime spot to 055-3 (1x2 slimes)
- added 1 red super slime spot to 043-3 (1x3 slimes)
- added 1 green super slime spot to 043-3 (1x1 slime)
- added 2 red super slime spots to 018-3 (1x2 slimes, 1x3 slimes)
- added 3 red super slime spots to 018-1 (1x1 slime, 2x2 slimes)
- added 2 red super slime spots to 013-3 (1x2 slimes, 1x5 slimes)
- added 4 red super slime spots to 006-3 (4x1 slime)
- added 1 yellow super slime spot spanning all yellow slime spots to 002-5 (1x2 slimes)
- added 5 red super slime spots to 012-4 (3x4 slimes, 2x3 slimes)
- added 3 golden skull spots to 006-3 (2x2 skulls, 1x3 skulls)
2024-12-17 02:59:01 +00:00
Fedja Beader
ee60a569a0 Assassin boots have no walk speed boost.
Was unable to find any history of it in serverdata.

****
2024-12-13 07:42:53 +00:00
HoraK-FDF
01fced2598 ragged shirt
gfx for https://git.themanaworld.org/legacy/serverdata/-/merge_requests/826

****
2024-12-13 06:56:18 +00:00
HoraK-FDF
871802fe80 mobs and items 20241210
gfx to https://git.themanaworld.org/legacy/serverdata/-/merge_requests/825
- renamed some particle effects to be in better order
- super slime may need to get attack animations added for up and down and maybe opacity can be fine tuned atm is only the same

****
2024-12-11 17:23:50 +00:00
HoraK-FDF
bc31a07bf5 Black Armors
- added BlackSteelShield
- added BlackKnightHelm
- added BlackRoseHat (this one is not like the others since it gets created from BlackRoses)

All those black armors may need a outlined version to be better visible on black skins but that's a task for an other day.

****
2024-12-05 02:52:19 +00:00
HoraK-FDF
426bf615a3 Mana Battery overheat effects
gfx+sfx effects for https://git.themanaworld.org/legacy/serverdata/-/merge_requests/822

****
2024-12-05 01:30:11 +00:00
Led Mitz
3bf1a65ec1 Rainerang has its own sounds now
****
2024-10-31 00:57:06 +00:00
HoraK-FDF
7e67839764 Mobs and Items stalker horn added a 2024-10-30 23:45:40 +01:00
HoraK-FDF
be9ce16b2a Mobs and Items grass spelt speltseeds 2024-10-30 22:49:39 +01:00
HoraK-FDF
e4af929d27 Mobs and Items Silverbell fix 2024-10-30 21:46:41 +01:00
HoraK-FDF
7629568086 Mobs and Items missing space 2024-10-30 20:39:54 +01:00
HoraK-FDF
4fbfa14803 Mobs and Items license fix typo 2024-10-30 20:06:37 +01:00
HoraK-FDF
09b2816d35 Mobs and Items license update 2024-10-30 19:56:21 +01:00
HoraK-FDF
164137f523 Mobs and Items empty bottle weight 2024-10-30 19:41:46 +01:00
HoraK-FDF
25f1e4964d Mobs and Items comment 2024-10-30 19:36:12 +01:00
HoraK-FDF
1cb1daa597 Mobs and Items 2024-10-30 19:29:21 +01:00
Led Mitz
c012ca9564 Chill out Troll fire
Lowered a few values to make Troll fire less random and more linear in appearance, as it looked slightly too cluttered.

****
2024-10-30 16:10:35 +00:00
Led Mitz
1efcc1e5dc Small edits to spawn areas in crypt3 to avoid overlapping
****
2024-10-30 15:38:55 +00:00
Led Mitz
402910861c Manually moved mods.xml to root since CI is down
from mods/mods.xml

****
2024-10-12 02:29:47 +00:00
Ledmitz
91a13a7efd Pulled mods 2024-10-11 01:20:23 -03:00
Led Mitz
e086aa7742 Chill out Red Bone
The Red Bone's particle emitters were huge and blocking a lot of action. Most of this came from the larger black smoke/fog. After fine tuning it over too much time, I finally made it like it was but without the steroids. You can now see it starts at the head as it always had. It's now the same, but smaller when mob is still and almost hair-like when in motion. You can test locally for yourself, if you wish to comment: .../mana/updates/updates.themanaworld.org/legacy/local/graphics/particles/necroblast.particle.xml

****
2024-10-11 04:04:20 +00:00
Led Mitz
0c43dbc27a Removed unnecessary hair fix for Underworld Mask
I just commented it out for now, in case a rollback is needed or the code is useful for other hats. Oddly, this code does not work on other hats I tried, like Terranite Helmet, Assassin Mask or any other full head covering.

****
2024-10-11 03:25:20 +00:00
Fedja Beader
aabcf9571f ManaPlus need unstable image
(sync from ML 636d9acb)

****
legacy/clientdata!647
2024-10-10 22:16:53 +00:00
Fedja Beader
cafb7e9bd8 Nuke retry.sh (use wget's own retry functionality)
Not a 1:1 replacement.

(sync from ML)

****
legacy/clientdata!646
2024-10-08 20:29:57 +00:00
Fedja Beader
56b797501a SPM has been deprecated.
Deprecate the old 4144 deploy script as well.

(Sync from ML)

****
legacy/clientdata!645
2024-10-08 20:15:24 +00:00
Fedja Beader
614abb5d6b Port 1999cc4e from ManaVerse: "deduplicate repeating retries"
Honestly, why do we even need retries?

(Sync from ML)

****
legacy/clientdata!644
2024-10-08 19:53:22 +00:00
Fedja Beader
54744581d3 Trim ci packages
(Synced from ML)
****
legacy/clientdata!642
2024-10-08 19:24:33 +00:00
Fedja Beader
b6d79301ad Fix the single line error spam (but not the errors themselves)
****
legacy/clientdata!643
2024-10-08 19:07:24 +00:00
Thorbjørn Lindeijer
abb2d76dc1 Replaced item type equip-neck with equip-necklace
Because "equip-neck" is an alias only supported by M+ and not by the
Mana client.

Corrects item type change made in !625.

Closes mana/mana#90.
2024-10-08 07:21:12 +00:00
Led Mitz
14e315440a Cashier's, not Cashiers'
typo/grammar correction

****
2024-09-27 16:10:28 +00:00
Led Mitz
b486ceb297 2handed weapons have def + other corrections
Added defense in description and other corrections vs DB. Note that some items are still unobtainable and need DB changes before changing here and adding to game. Also made description format more legible without the need to horizontally scroll.

****
2024-09-27 15:50:30 +00:00
Led Mitz
10896c999b A few more description corrections
- Long Sword, Ice Gladius, Magic Ring, Pinkie Helmet
- Relocated Long Sword
- Pulled music to retrieve Clouds_Calling.ogg

****
2024-09-17 14:59:27 +00:00
Led Mitz
674964724f Changed due to https://git.themanaworld.org/legacy/serverdata/-/merge_requests/792
Also corrected location by moving to shields DIR.

****
2024-09-07 01:45:10 +00:00
Thorbjørn Lindeijer
4fa263b919 Fixed the durations on the water flow animations
Assuming the flow is supposed to run this slow.

Closes mana/mana#88

****
2024-08-30 17:05:14 +00:00
HoraK-FDF
e4435a4ac1 Itsanc icon to green since its not visible with flux or redshift 2024-08-08 00:52:00 +02:00
HoraK-FDF
3eb4bb90bd sc_phys_shield_item 2024-08-07 23:18:52 +02:00
HoraK-FDF
be8e3f48f5 sc_cooldown_sg, sc_slowmove, sc_cantmove 2024-08-07 19:34:59 +02:00
HoraK-FDF
2455cbf0b8 map layer fixes
- on 009-2 some object where in over1 layer but with high hats one appeared over the hat (beer on first table) so i moved them to ground3 layer
- on 012-1 whole street was in fringe layer that made tortugas vanish behind the tiles every two rows (strangly only tortugas they may have the exact size to trigger that behavior) I also fixed many walls and overlayers where beheader looked through the ground

****
2024-08-07 17:19:40 +00:00
HoraK-FDF
e97dcd7618 correct weight
- corrected Setzer and Hitchhiker's Towel to be in sync with server
- when looking at towels i saw that they are still say cooldown is 20 min so i corrected this too right away

****
2024-07-23 02:02:32 +00:00
HoraK-FDF
4f960436f9 NPC Wings
wings update for some npcs.

****
2024-07-21 14:32:11 +00:00
HoraK-FDF
7c87f72b2f Mob Wings
didn't had mobs on the screen when moving wings to the amulets folder this mr fixes that.

****
2024-07-21 13:41:23 +00:00
HoraK-FDF
82dc24d08b angel-wings.png v2 2024-07-17 13:42:30 +02:00
HoraK-FDF
94c7f4cd1c license update 2024-07-17 12:55:08 +02:00
HoraK-FDF
781ba385fa updated pics 2024-07-17 12:34:20 +02:00
HoraK-FDF
0384d14ecb license update and outline not dyable 2024-07-17 12:28:35 +02:00
HoraK-FDF
106ca472ed renamed guardian wings item pic name 2024-07-17 12:16:15 +02:00
HoraK-FDF
143d093e8f moved item category 2024-07-17 12:10:19 +02:00
HoraK-FDF
143954f608 item descriptions fix 2024-07-03 21:47:28 +02:00
HoraK-FDF
67eef68e8e quarz to quartz license 2024-07-03 20:28:47 +02:00
HoraK-FDF
eee8e79f48 quarz to quartz 2024-07-03 20:24:28 +02:00
HoraK-FDF
38d5a8e441 stones, crystals and mobs 2024-07-01 23:44:23 +02:00
Ledmitz
df06f82c14 Added Clouds_Calling.ogg to Desert Mountains and Desert Mountain Cave 2024-06-17 15:21:44 -03:00
HoraK-FDF
3a189431eb Bromenal set rebalance 2024-06-17 11:53:26 +02:00
HoraK-FDF
72cad3af9c Pumpkin to RipePumpkin 2024-06-06 23:22:54 +02:00
Ledmitz
24f147c328 Rubber Ducky SFX 2024-05-25 17:34:49 -03:00
HoraK-FDF
86ef14d06b mob drops add6 2024-05-16 21:39:19 +02:00
HoraK-FDF
7797549dd2 mob drops add5 2024-05-16 21:31:14 +02:00
HoraK-FDF
a758081f32 mob drops add4 2024-05-16 21:24:46 +02:00
HoraK-FDF
4eb9f7a42d mob drops add3 2024-05-16 21:17:36 +02:00
HoraK-FDF
49726a850c mob drops add2 2024-05-16 21:11:51 +02:00
HoraK-FDF
2d3628626c mob drops add1 2024-05-16 21:08:02 +02:00
HoraK-FDF
e899c891fc mob drops 2024-05-16 21:06:39 +02:00
HoraK-FDF
c72719c1bc removed bifs, shadowplants*4, beehives*4 2024-05-04 17:08:21 +02:00
Ledmitz
0914d42044 Corrected Y-axis on sit to show eyes 2024-04-21 16:24:54 +00:00
Ledmitz
183e17d57a Yeti mask hair fix 2024-04-21 16:24:54 +00:00
Ledmitz
d16fbe1e3c Present Hat hair fix 2024-04-20 19:27:29 -03:00
HoraK-FDF
16520d5eda update 2024-04-19 02:23:07 +00:00
HoraK-FDF
0809c5af69 charcoal pic brightness +22 2024-04-19 02:23:07 +00:00
HoraK-FDF
4281923cc6 item changes add 2024-04-19 02:23:07 +00:00
HoraK-FDF
70574e492c charcoal pic 2024-04-19 02:23:07 +00:00
HoraK-FDF
fe1d12f7a6 item changes 2024-04-19 02:23:07 +00:00
HoraK-FDF
a2ea80916f Cursor size change 2024-04-19 02:23:07 +00:00
HoraK-FDF
eaee5cb8cb Coal Golem 2024-04-19 02:23:07 +00:00
HoraK-FDF
47d9315dff Naphtalene to Yellow Apple 2024-04-19 02:23:07 +00:00
HoraK-FDF
27a8c867b1 Small Bifs cursor size 2024-04-19 02:23:07 +00:00
HoraK-FDF
31d9cae953 Bifs Slimes Items 2024-04-19 02:23:07 +00:00
Ledmitz
4f3d02bc20 Removed SFX from qyest start and continue effects 2024-04-18 04:15:28 -03:00
Ledmitz
b69470e79c Corrected Floyd Book effects 2024-04-17 00:33:50 -03:00
Hello=)
44f7d768d6 Floyd rendering fix - missing include 2024-04-15 18:42:22 +03:00
Ledmitz
114f707521 Another correction 2024-04-14 01:46:38 -03:00
Ledmitz
58418042b0 Lucky items - client 2024-04-13 23:18:08 -03:00
Ledmitz
776ba82a21 corrected errors and wrong colors 2024-04-13 04:43:02 -03:00
Ledmitz
4a6203e74a Rainerang placeholder SFX 2024-04-13 03:45:15 -03:00
Ledmitz
5082126523 small edit 2024-04-13 02:49:59 -03:00
Ledmitz
aa8c3e4289 forgot _include 2024-04-13 02:43:58 -03:00
Fedja Beader
aa4fd9bde8 Fix char creation stat point allocation - clientdata part 2024-04-13 01:25:37 +02:00
Ledmitz
7a488e2822 Make Blanc's name Blanc for both versions 2024-04-12 16:11:56 -03:00
Ledmitz
2559751196 Blanc - 2 versions 2024-04-12 00:27:57 -03:00
Ledmitz
538b72382c Added placeholder SFX to Rick Lime 2024-04-11 22:26:37 -03:00
Ledmitz
484cb8212f Flinlock, not Revolver or gunstaff. Added bullet GFX 2024-04-11 13:27:55 +00:00
Ledmitz
b9f70100f6 Added bullet SFX to effects.xml for GM event spells 2024-04-11 08:25:18 -03:00
Ledmitz
ce1bcfcac0 Rick Lime - client 2024-04-11 04:40:35 +00:00
Ledmitz
cba293438f Corrected wrong ID in item xml 2024-04-10 21:47:51 -03:00
Ledmitz
504c1e7317 Rainerangs rotate in flight 2024-04-10 01:34:48 -03:00
Ledmitz
d1f5eaf0a7 Rainerang 2024-04-09 23:16:21 -03:00
Ledmitz
09af6f1d23 Brainblow hits 2024-04-09 12:59:44 -03:00
Ledmitz
c8cef31ec1 Brainblow - client 2024-04-09 15:46:34 +00:00
Ledmitz
abec0512be Removed empty lines leftover from editing the license 2024-04-09 13:47:12 +00:00
Ledmitz
09b3e9ce6a Head, not Hat! 2024-04-09 13:47:12 +00:00
Ledmitz
41719e9300 Leprechaun Hat - client 2024-04-09 13:47:12 +00:00
Ledmitz
57cc9bc2d2 Rainbow hit and crit 2024-04-09 10:17:45 -03:00
Hello=)
413bf518e4 +3 more FX effects meant for boss powerups/actions 2024-04-09 04:26:23 +00:00
Hello=)
893d8b69ca +2 FX spell channeling effects for boss spells, based on Illia particles 2024-04-09 04:26:23 +00:00
Ledmitz
369a54e1d8 Issued new ID since 880 was taken 2024-04-08 15:38:00 +00:00
Ledmitz
aa8f920dfb GM amulet for events 2024-04-08 15:38:00 +00:00
Ledmitz
e43cf2fcac License correction 2024-04-08 15:29:13 +00:00
Ledmitz
0b4b02df64 Forgot to add to monsters.xml 2024-04-08 15:29:13 +00:00
Ledmitz
5f078069f9 Added effects for Mont Blanc and lowered crocronut volumes as 2 are used and all were too loud for TMW 2024-04-08 15:29:13 +00:00
Ledmitz
c6f5980a91 Floyd needed his own style 2024-04-05 01:17:09 -03:00
Led Mitz
29d626935a Allow setting stats at start of game - client
Added hair and color. Removed races until supported

****
2024-04-03 16:22:34 +00:00
Ledmitz
6fea6f27f9 Added tiny_bell.ogg for Silver Bell in effects.xml 2024-04-02 08:53:53 -03:00
Led Mitz
efd39593b6 Fooled you?
I hope we fooled you with invisible characters, though I hope it didn't cause too many of you any trouble. Happy April Fool's Day all!

****
2024-04-02 00:04:42 +00:00
Ledmitz
9446b4213a Forgot dyecmd, of course 2024-03-31 21:00:55 -03:00
Ledmitz
317ef12a80 Body cleanse for git 2024-03-31 20:47:15 -03:00
740 changed files with 20170 additions and 3801 deletions

1
.gitignore vendored Normal file
View file

@ -0,0 +1 @@
*.tiled-session

View file

@ -1,7 +1,7 @@
stages:
- test
image: debian:buster
image: debian:bullseye
before_script:
- uname -a
@ -17,11 +17,26 @@ imagemagiccheck:
- ./.tools/imagemagiccheck.sh
allow_failure: true
manaplus:
manaverse:
stage: test
image: ubuntu:20.04
variables:
GIT_SUBMODULE_STRATEGY: recursive
script:
- ./.tools/manaplus.sh
image: debian:stable
- ./.tools/manaplus.sh master deb_pkg manaverse.log
artifacts:
paths:
- shared
when: always
expire_in: 3 week
old_manaplus:
stage: test
image: ubuntu:20.04
variables:
GIT_SUBMODULE_STRATEGY: recursive
script:
- ./.tools/manaplus.sh master4old deb_pkg_old manaplus.log
artifacts:
paths:
- shared
@ -54,8 +69,6 @@ licensecheck:
testxml:
stage: test
image: ubuntu:18.04
tags:
- glados
script:
- ./.tools/testxml.sh
- pwd

4
.gitmodules vendored
View file

@ -1,6 +1,6 @@
[submodule "music"]
path = music
url = https://git.themanaworld.org/legacy/music.git
url = https://git.themanaworld.org/tmw/music.git
[submodule "mods"]
path = mods
url = https://git.themanaworld.org/legacy/mods.git
url = https://git.themanaworld.org/tmw/mods.git

View file

@ -5,7 +5,8 @@ source ./.tools/init.sh
clientdata_init
aptget_update
aptget_install git-core gcc ca-certificates libxml2-utils make xsltproc
aptget_install git-core make xsltproc
rm -rf tools
gitclone https://git.themanaworld.org/evolved tools.git tools

View file

@ -1,36 +0,0 @@
#!/bin/bash
source ./.tools/init.sh
clientdata_init
aptget_update
aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python
rm -rf tools
gitclone https://git.themanaworld.org/evolved tools.git tools
cd clientdata
rm -rf public
mkdir public
cd ..
# FIXME
#rm -rf music
#gitclone https://git.themanaworld.org/evolved music.git music
cd tools/update
# FIXME
./createnew.sh
check_error $?
#./create_music.sh
#check_error $?
cp -r upload/* ../../clientdata/public
cd ../../clientdata
gitclone https://git.themanaworld.org/mana pagesindexgen.git pagesindexgen
cd pagesindexgen
./pagesindexgen.py ../public
check_error $?
ls ../public

View file

@ -1,22 +0,0 @@
#!/bin/bash
export zipname="lib.zip"
export libname="$1_$2"
mkdir libdownload
cd libdownload
rm "${zipname}"
../client-data/.tools/retry.sh wget -O "${zipname}" "https://git.themanaworld.org/mana/spm/builds/artifacts/$1/download?job=${libname}"
unzip "${zipname}"
cp -r "bin/${libname}" ..
cd ..
rm -rf /usr/local/spm/bin/${libname}
mkdir -p /usr/local/spm/bin
cp -r libdownload/bin/${libname} /usr/local/spm/bin/
ls /usr/local/spm/bin/${libname}
if [ "$?" != 0 ]; then
echo "Library $1 $2 unpack failed"
exit 1
fi

View file

@ -5,7 +5,8 @@ source ./.tools/init.sh
clientdata_init
aptget_update
aptget_install git-core gcc ca-certificates imagemagick
aptget_install git-core imagemagick
rm -rf tools
gitclone https://git.themanaworld.org/evolved tools.git tools

View file

@ -7,6 +7,30 @@ function check_error {
fi
}
retry_with_increasing_wait()
{
local wait_time=1
while true; do
"$@"
local retval=$?
if [[ $retval -eq 0 || $wait_time -gt 16 ]]; then
break
fi
printf "command %s failed (exit code %d), waiting %d seconds until next try.\n"\
"$*" "$retval" "$wait_time"
sleep "$wait_time"
# 1, 2, 4, 8, 16...
(( wait_time = 2 * wait_time ))
done
return "$retval"
}
function gitclone1 {
echo git clone $2 $3
git clone $2 $3
@ -23,19 +47,7 @@ function gitclone {
export name2=${CI_BUILD_REPO##*@}
export name2=https://${name2%/*}/$2
gitclone1 "$name1" "$name2" $3
if [ "$?" != 0 ]; then
sleep 1s
gitclone1 "$name1" "$name2" $3
if [ "$?" != 0 ]; then
sleep 3s
gitclone1 "$name1" "$name2" $3
if [ "$?" != 0 ]; then
sleep 5s
gitclone1 "$name1" "$name2" $3
fi
fi
fi
retry_with_increasing_wait gitclone1 "$name1" "$name2" "$3"
check_error $?
}
@ -57,34 +69,20 @@ function update_repos {
function aptget_update {
update_repos
apt-get update
if [ "$?" != 0 ]; then
sleep 1s
apt-get update
if [ "$?" != 0 ]; then
sleep 1s
apt-get update
fi
fi
retry_with_increasing_wait apt-get -y -qq update
check_error $?
}
function aptget_install {
apt-get -y -qq install $*
if [ "$?" != 0 ]; then
sleep 1s
apt-get -y -qq install $*
if [ "$?" != 0 ]; then
sleep 2s
apt-get -y -qq install $*
fi
fi
retry_with_increasing_wait apt-get -y -qq install $*
check_error $?
}
function clientdata_init {
mkdir shared
if [[ "${PWD##*/}" != clientdata && ! -L ../clientdata ]]; then
ln -s "$PWD" ../clientdata
check_error $?
fi
cd ..
ln -s clientdata client-data
check_error $?
}

View file

@ -5,7 +5,8 @@ source ./.tools/init.sh
clientdata_init
aptget_update
aptget_install git-core gcc ca-certificates grep
aptget_install git-core grep
rm -rf tools
gitclone https://git.themanaworld.org/evolved tools.git tools

View file

@ -1,33 +1,62 @@
#!/bin/bash
client_branch="$1"
client_job_name="$2"
logfile="$3"
set -e
source ./.tools/init.sh
clientdata_init
# Stop tzdata from asking to pick a location, hanging the pipeline
export DEBIAN_FRONTEND=noninteractive
aptget_update
aptget_install gcc g++ \
make autoconf automake autopoint gettext \
libxml2-dev libcurl4-gnutls-dev libpng-dev \
libsdl-gfx1.2-dev libsdl-image1.2-dev libsdl-mixer1.2-dev libsdl-net1.2-dev libsdl-ttf2.0-dev \
# Evidently libcurl3-gnutls ships libcurl4-gnutls.so.4
aptget_install \
x11-utils xdg-utils xsel \
ttf-dejavu-core fonts-liberation \
libcurl3-gnutls \
libsdl-gfx1.2 libsdl-image1.2 libsdl-mixer1.2 libsdl-net1.2 libsdl-ttf2.0 \
wget unzip
pwd
ls
ls -la
./clientdata/.tools/downloadlib.sh manaplus master || exit 1
# --retry-on-host-error unknown option?
wget --retry-connrefused --tries=10 --waitretry=5 \
--progress=dot:mega \
-O "$client_job_name.zip" \
"https://git.themanaworld.org/mana/appimg-builder/-/jobs/artifacts/$client_branch/download?job=$client_job_name"
export HOME=`pwd`/clientdata/shared
# Docker will cache the unpacked files, so make unzip only extract
# if the archive contains newer ones. The same filesystem will
# most likely contain exctracted MV/M+ from both CI jobs.
unzip -o -u "$client_job_name.zip" -d "$client_job_name"
pushd "$client_job_name"
# Print package sums to troubleshoot docker caching
printf "Using debian packages with the following checksums:\n"
cat deb-sha256checksum.txt
dpkg -i "manaplus-data_latest_all.deb"
dpkg -i "manaplus_latest_amd64.deb"
dpkg -i "manaplus-dbg_latest_amd64.deb"
popd
cd manaplus_master || exit 1
PATH="$PATH:/usr/games"
export SDL_VIDEODRIVER=dummy
./bin/manaplus --validate -u -d ../clientdata || exit 1
manaplus --version || exit 1
manaplus --validate -u -d clientdata || exit 1
ls "${HOME}/.local/share/mana/manaplus.log" || exit 1
grep -A 10 "Assert:" "${HOME}/.local/share/mana/manaplus.log"
if [ "$?" == 0 ]; then
echo "Asserts found"
log_path="$HOME/.local/share/mana/$logfile"
if [[ ! -f "$log_path" ]]; then
printf "Error: logfile %s not found\n" "$log_path"
exit 1
fi
cd ..
# grep exits 0 (OK) if it found matches, this condition inverts it
if grep -A 10 "Assert:" "$log_path"; then
echo "Error: Asserts found"
exit 1
fi

View file

@ -1,15 +0,0 @@
#!/bin/bash
n=0
while true; do
$*
if [ "$?" == 0 ]; then
exit 0
fi
if [[ $n -ge 10 ]]; then
exit -1
fi
sleep 5s
n=$((n+1))
done

View file

@ -5,7 +5,8 @@ source ./.tools/init.sh
clientdata_init
aptget_update
aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python python-pyvorbis python-ogg python-pil
aptget_install git-core libxml2-utils python python-pil python-pyvorbis
rm -rf tools
gitclone https://git.themanaworld.org/evolved tools.git tools
@ -16,7 +17,7 @@ check_error $?
export RES=$(cat errors.txt)
if [[ -n "${RES}" ]]; then
echo "xml check failed" >../../../clientdata/shared/error.log
echo ${RES} >>../../../clientdata/shared/error.log
cat errors.txt >>../../../clientdata/shared/error.log
cat ../../../clientdata/shared/error.log
exit 1
fi

View file

@ -1,18 +0,0 @@
# Contributing
*This repository is* ***feature-frozen****. Anything that adds new content will NOT be merged.*
Only patches for the following will be accepted:
## High priority patches
- Missing sprites for already-released content [(green Error boxes)](https://github.com/themanaworld/tmwa-client-data/blob/master/graphics/sprites/error.png).
- XML errors.
## Low priority patches
- Typos.
- Missing or incorrect item stats.
- Missing or incorrect translation information in XML files.
- Mapping errors (tiles on the wrong layer).
- Quest log modifications.
- Missing frames in sprites.
- Misc visual improvements (avatars, icons, ...).

View file

@ -1,13 +1,13 @@
<?xml version="1.0"?>
<chars>
<!-- hide hair color selection -->
<haircolor min="1" max="1"/>
<haircolor min="1" max="13"/>
<!-- hide hair style selection -->
<hairstyle min="1" max="1"/>
<hairstyle min="1" max="20"/>
<!-- hide look selection -->
<look min="1" max="1"/>
<!-- stat selection -->
<stat min="1" max="10" sum="27"/>
<!-- race selection -->
<race min="1" max="3"/>
<!-- stat selection. 48 / 2 = 24. You start with 1 in all of 6 -> need 24+6 = 30 -->
<stat min="1" max="10" sum="30"/>
<!-- hide race selection -->
<race min="1" max="1"/>
</chars>

View file

@ -57,7 +57,7 @@
<effect id="23" audio="env/zap.ogg" particle="graphics/particles/zap.xml"/>
<effect id="24" audio="system/warp.ogg" particle="graphics/particles/magic.teleport.xml"/>
<!-- #kaflosh (rain) hit -->
<effect id="25" particle="graphics/particles/rain.xml" audio="magic/kaflosh.ogg"/>
<effect id="25" audio="magic/kaflosh.ogg" particle="graphics/particles/rain.xml"/>
<effect id="26" particle="graphics/particles/hit.particle.xml"/>
<!-- #frillyar (arrow hail) hit -->
<effect id="27" audio="magic/frillyar.ogg" particle="graphics/particles/arrow-hail.xml"/>
@ -78,8 +78,8 @@
<effect id="42" particle="graphics/particles/magic-dark-explosion.particle.xml"/>
<effect id="43" audio="monsters/pumpkin/pumpkin-explosion.ogg" particle="graphics/particles/monster-pumpkin-explosion.particle.xml"/>
<effect id="44" particle="graphics/particles/object-getitem.particle.xml"/>
<effect id="45" audio="system/quest-start.ogg" sprite="icons/quest-start.xml"/>
<effect id="46" audio="system/quest-continue.ogg" sprite="icons/quest-continue.xml"/>
<effect id="45" sprite="icons/quest-start.xml"/>
<effect id="46" sprite="icons/quest-continue.xml"/>
<effect id="47" audio="system/quest-up.ogg" particle="graphics/particles/questup.particle.xml"/>
<effect id="48" audio="system/quest-done.ogg" particle="graphics/particles/questdone.particle.xml"/>
<effect id="49" particle="graphics/particles/hug.particle.xml"/>
@ -90,9 +90,18 @@
<effect id="54" audio="oblivion.ogg"/>
<effect id="55" particle="graphics/particles/snowball-crit.particle.xml"/>
<effect id="56" audio="system/levelup-long.ogg" particle="graphics/particles/levelup.particle.xml"/>
<effect id="69" particle="graphics/particles/python.xml" audio="env/fart.ogg"/>
<effect id="70" particle="graphics/particles/monster-rotter-hit.xml" audio="monsters/slime/slime-hurt1.ogg"/>
<effect id="71" particle="graphics/particles/monster-rotter-crit.xml" audio="monsters/rotter/crit1.ogg"/>
<effect id="57" particle="graphics/particles/channelling-raise-red.particle.xml"/>
<effect id="58" particle="graphics/particles/channelling-raise-blue.particle.xml"/>
<effect id="59" particle="graphics/particles/channelling-cast-red.particle.xml"/>
<effect id="60" particle="graphics/particles/channelling-cast-blue.particle.xml"/>
<effect id="61" particle="graphics/particles/red-magic-cast.particle.xml"/>
<effect id="69" audio="env/fart.ogg" particle="graphics/particles/python.xml"/>
<effect id="70" audio="monsters/slime/slime-hurt1.ogg" particle="graphics/particles/monster-rotter-hit.xml"/>
<effect id="71" audio="monsters/rotter/crit1.ogg" particle="graphics/particles/monster-rotter-crit.xml"/>
<effect id="72" particle="graphics/particles/rainbow-hit.xml"/>
<effect id="73" audio="system/boom.ogg" particle="graphics/particles/rainbow-crit.xml"/>
<effect id="74" audio="weapons/gun/gun-hit1.ogg"/>
<effect id="75" audio="system/warp.ogg" particle="graphics/particles/magic-blue-teleport.particle.xml"/>
<!-- #betsanc (protect) end -->
<effect id="111" audio="magic/betsanc-off.ogg" particle="graphics/particles/magic.shield.xml"/>
<!-- <effect id="112" particle="graphics/particles/magic.haste-ends.xml"/>-->
@ -110,6 +119,11 @@
<!-- Add the data needed for the electricity boss battle. -->
<effect id="402" audio="system/ship-bell2.ogg"/>
<effect id="403" audio="monsters/bat/bat-hit1.ogg"/>
<effect id="404" audio="env/tiny_bell.ogg"/>
<effect id="405" audio="weapons/beam/beam-crit.ogg" particle="graphics/particles/beam-crit.xml"/>
<effect id="406" audio="env/rubber_duck.ogg"/>
<effect id="407" audio="env/flame.ogg"/>
<effect id="408" audio="env/zap.ogg"/>
<!-- magic v3 spells -->
<!-- #discharge -->
<effect id="500" audio="magic/discharge.ogg" particle="graphics/particles/fire-burst.xml"/>

Binary file not shown.

After

Width:  |  Height:  |  Size: 336 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 670 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 160 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 181 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 51 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.1 KiB

View file

Before

Width:  |  Height:  |  Size: 888 B

After

Width:  |  Height:  |  Size: 888 B

Before After
Before After

View file

Before

Width:  |  Height:  |  Size: 1.4 KiB

After

Width:  |  Height:  |  Size: 1.4 KiB

Before After
Before After

View file

Before

Width:  |  Height:  |  Size: 772 B

After

Width:  |  Height:  |  Size: 772 B

Before After
Before After

Binary file not shown.

After

Width:  |  Height:  |  Size: 642 B

View file

Before

Width:  |  Height:  |  Size: 1.4 KiB

After

Width:  |  Height:  |  Size: 1.4 KiB

Before After
Before After

Binary file not shown.

After

Width:  |  Height:  |  Size: 370 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 975 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 1,009 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 326 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 662 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 417 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 431 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 432 B

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.6 KiB

After

Width:  |  Height:  |  Size: 842 B

Before After
Before After

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.5 KiB

View file

Before

Width:  |  Height:  |  Size: 792 B

After

Width:  |  Height:  |  Size: 792 B

Before After
Before After

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.3 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 461 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 362 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 415 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 402 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 607 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 370 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 425 B

Binary file not shown.

Before

Width:  |  Height:  |  Size: 697 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 598 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 577 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 584 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 632 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 438 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 782 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 915 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 1 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 501 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 776 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 550 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.1 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 657 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 948 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 223 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 664 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 564 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 406 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 346 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 569 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 328 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 536 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.5 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 562 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 759 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.1 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 913 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 920 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 415 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 604 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 517 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 476 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 544 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 816 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.2 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.3 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 454 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 744 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 379 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 2.2 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 519 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 482 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 430 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 741 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 713 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 356 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 789 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 629 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 772 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.1 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 738 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 613 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 421 B

Binary file not shown.

After

Width:  |  Height:  |  Size: 865 B

Some files were not shown because too many files have changed in this diff Show more